Bug 1124388 - xorg-x11-drv-ati needs update for Radeon HD 7770
Summary: xorg-x11-drv-ati needs update for Radeon HD 7770
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 11:59 UTC by Didier G
Modified: 2015-06-29 21:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:49:53 UTC


Attachments (Terms of Use)
HD_5770_OLD_xorg-x11-drv-ati.txt (2.82 KB, text/plain)
2014-07-29 11:59 UTC, Didier G
no flags Details
HD_7770_NEW_xorg-x11-drv-ati.txt (2.78 KB, text/plain)
2014-07-29 12:00 UTC, Didier G
no flags Details
HD_7770_OLD_xorg-x11-drv-ati.txt (2.82 KB, text/plain)
2014-07-29 12:01 UTC, Didier G
no flags Details

Description Didier G 2014-07-29 11:59:48 UTC
Created attachment 922130 [details]
HD_5770_OLD_xorg-x11-drv-ati.txt

Description of problem:

I just upgraded my system form Radeon HD 5770 to HD 7770.

I tested performances before and after upgrade with glmark2-2012 and first results show worst performances with HD 7770

I downloaded latest versions of xorg-x11-drv-ati and xorg-x11-glamor from koji, built it and installed it on Fedora 20. I have now better performance with HD 7770 than with HD 5770.

Until now, I did not see any bug or regression with the latest versions of xorg-x11-drv-ati and xorg-x11-glamor so I suggest to include these versions in Fedora 20 update



Version-Release number of selected component (if applicable):

Versions with worst performances with HD 7770

xorg-x11-drv-ati-7.2.0-3.20131101git3b38701.fc20.x86_64
xorg-x11-glamor-0.5.1-3.20140115gitfb4d046c.fc20.x86_64
xorg-x11-glamor-devel-0.5.1-3.20140115gitfb4d046c.fc20.x86_64



Home build versions with better performances with HD 7770

xorg-x11-drv-ati-7.4.0-2.fc20.x86_64
xorg-x11-glamor-0.6.0-2.20140419gita4fbc77.fc20.x86_64
xorg-x11-glamor-devel-0.6.0-2.20140419gita4fbc77.fc20.x86_64



How reproducible:

Just test HD 7770 using glmark2 with od and new driver



Actual results:

See attached file



Expected results:

See attached file

Comment 1 Didier G 2014-07-29 12:00:46 UTC
Created attachment 922131 [details]
HD_7770_NEW_xorg-x11-drv-ati.txt

Comment 2 Didier G 2014-07-29 12:01:15 UTC
Created attachment 922132 [details]
HD_7770_OLD_xorg-x11-drv-ati.txt

Comment 3 Fedora End Of Life 2015-05-29 12:30:20 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:49:53 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.